<html><head><link type='text/css' href='style.css' rel='stylesheet'></head><body class='pgBgnd'>
<h3 align='center'>Equations</h3>
<table width='90%' align='center' border='1' cellpadding='0' cellspacing='0'>
<tr><td>
</td></tr><tr><td>
********** Mapped Logic **********
</td></tr><tr><td>
FDCPE_Q1: FDCPE port map (Q1,Q1_D,ZEGAR,'0','0');
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Q1_D <= ((Q3 AND NOT Q4 AND NOT Q1)
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;	OR (NOT Q3 AND Q4 AND NOT Q1));
</td></tr><tr><td>
FDCPE_Q2: FDCPE port map (Q2,Q2_D,ZEGAR,'0','0');
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Q2_D <= ((Q3 AND NOT Q4 AND Q1 AND NOT Q2)
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;	OR (Q3 AND NOT Q4 AND NOT Q1 AND Q2)
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;	OR (NOT Q3 AND Q4 AND Q1 AND NOT Q2)
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;	OR (NOT Q3 AND Q4 AND NOT Q1 AND Q2));
</td></tr><tr><td>
FTCPE_Q3: FTCPE port map (Q3,Q3_T,ZEGAR,'0','0');
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Q3_T <= ((Q3 AND Q4)
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;	OR (NOT Q4 AND Q1 AND Q2));
</td></tr><tr><td>
FDCPE_Q4: FDCPE port map (Q4,Q4_D,ZEGAR,'0','0');
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Q4_D <= ((NOT Q3 AND Q4 AND NOT Q2)
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;	OR (Q3 AND NOT Q4 AND Q1 AND Q2));
</td></tr><tr><td>
Register Legend:
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; FDCPE (Q,D,C,CLR,PRE,CE); 
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; FTCPE (Q,D,C,CLR,PRE,CE); 
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; LDCP  (Q,D,G,CLR,PRE); 
</td></tr><tr><td>
</td></tr>
</table>
<form><span class="pgRef"><table width="90%" align="center"><tr>
<td align="left"><input type="button" onclick="javascript:parent.leftnav.showTop()" onmouseover="window.status='goto top of page'; return true;" onmouseout="window.status=''" value="back to top"></td>
<td align="right"><input type="button" onclick="window.print()" onmouseover="window.status='print page'; return true;" onmouseout="window.status=''" value="print page"></td>
</tr></table></span></form>
</body></html>
